Bug#939571: uploaded a NMU, delayed 15 days

2019-11-09 Thread Gianfranco Costamagna
Hello, On Tue, 5 Nov 2019 20:02:43 +0100 Georges Khaznadar wrote: > Hello Gianfranco, > > as the bug is (not elegantly) fixed, and as the deadline for autoremoval > is in 25 days, I uploaded python-pyqtgraph_0.10.0-4.1 as an NMU. > > If you prefer download the good fix before two weeks, do not

Bug#944353: paraview: FTBFS on armhf

2019-11-08 Thread Gianfranco Costamagna
Source: paraview Version: 5.7.0-1 Severity: serious Hello, looks like paraview is currently FTBFS on armhf due to some OpenGL missing implementation on this architecture. Please have a look, or disable the relative binding if possible [ 92%] Building CXX object

Bug#944221: sdpa: ftbfs in unstable [PATCH]

2019-11-06 Thread Gianfranco Costamagna
dfsg-1.2) unstable; urgency=medium + + * Adjust rules file to find blas in new blas-pthread directory (Closes: #-1) + + -- Gianfranco Costamagna Wed, 06 Nov 2019 10:11:47 +0100 + sdpa (7.3.11+dfsg-1.1) unstable; urgency=medium * Non-maintainer upload. diff -Nru sdpa-7.3.11+dfsg/debian/rules sdp

Bug#944151: remctl: attempts internet connection during testsuite

2019-11-04 Thread Gianfranco Costamagna
control: tags -1 patch On 05/11/19 07:55, Gianfranco Costamagna wrote: > Source: remctl > Version: 3.16-3 > Severity: serious > > Hello, according to build log: > Testing Python extension > running pytest > Searching for typing > Reading https://pypi.org/simple/typ

Bug#944151: remctl: attempts internet connection during testsuite

2019-11-04 Thread Gianfranco Costamagna
Source: remctl Version: 3.16-3 Severity: serious Hello, according to build log: Testing Python extension running pytest Searching for typing Reading https://pypi.org/simple/typing/ Downloading

Bug#943995: cu2qu: missing python3-all-dev dependency (patch)

2019-11-02 Thread Gianfranco Costamagna
Source: cu2qu Version: 1.6.6-4 Severity: serious Justification: breaks on Python upgrade when more python3 versions are available tags: patch [snip] copying Lib/cu2qu/cu2qu.c -> /<>/.pybuild/cpython3_3.8/build/cu2qu running build_ext building 'cu2qu.cu2qu' extension creating build creating

Bug#939382: fswatch: bad symbols file on !amd64

2019-10-26 Thread Gianfranco Costamagna
control: reopen -1 control: notfixed -1 1.14.0+repack-12 Hello, On Sat, 5 Oct 2019 19:46:00 +0200 Alf Gaida wrote: > On Wed, 4 Sep 2019 11:42:01 +0200 Gianfranco Costamagna > wrote: > > I don't think exporting such c++ symbols is a good idea, specially > because they

Bug#922586: FTBFS against opencv 4.0.1 (exp)

2019-10-23 Thread Gianfranco Costamagna
Hello Jose, On Tue, 19 Feb 2019 00:32:16 +0100 =?UTF-8?Q?Jos=C3=A9_Luis_Blanco=2DClaraco?= wrote: > Thanks! > > This problem is already solved upstream in the forthcoming mrpt-2.0.0 > version. I'm marking this as "fixed-upstream" in the meanwhile. > > Best, > > On Mon, Feb 18, 2019 at 7:42

Bug#942066: filezilla: FTBFS with GCC 9: error: #error You need to use a C++17 compiler.

2019-10-23 Thread Gianfranco Costamagna
control: fixed -1 3.45.1-1 control: close -1 thanks G. On Wed, 09 Oct 2019 21:42:17 +0200 Sven Joachim wrote: > Control: retitle -1 filezilla: FTBFS with libfilezilla 0.18.2 > > On 2019-10-09 21:06 +0200, Andreas Beckmann wrote: > > > Package: filezilla > > Version: 3.39.0-2 > > Severity:

Bug#942757: odb-api: fails to build with multiple supported python3 versions

2019-10-21 Thread Gianfranco Costamagna
; urgency=medium + + * Fix another typo + + -- Gianfranco Costamagna Mon, 21 Oct 2019 16:39:01 +0200 + odb-api (0.18.1-8) unstable; urgency=medium * Drop Fortran-Mod: no longer used by dh_fortran_mod diff -Nru odb-api-0.18.1/debian/rules odb-api-0.18.1/debian/rules --- odb-api-0.18.1/debian

Bug#942393: mlpack: downloads stuff from internet during build?

2019-10-15 Thread Gianfranco Costamagna
Source: mlpack Version: 3.2.1-1 Severity: serious Hello, according to the build log: -- Found Armadillo: /usr/lib/libarmadillo.so (found suitable version "9.600.5", minimum required is "8.400.0") -- Armadillo libraries: /usr/lib/libarmadillo.so -- Could NOT find STB_IMAGE (missing:

Bug#942379: appstream-generator: FTBFS in sid

2019-10-15 Thread Gianfranco Costamagna
Source: appstream-generator Version: 0.8.0-1 Severity: serious http://debomatic-amd64.debian.net/distribution#unstable/appstream-generator/0.8.0-1/buildlog debian/rules override_dh_auto_configure make[1]: Entering directory '/<>' dh_auto_configure -- --prefix=/usr --buildtype=plain

Bug#935211: python-acme: Please port to Python 3 and/or drop Python 2 package

2019-10-04 Thread Gianfranco Costamagna
>Gianfranco Costamagna, the patch you have attached seems to be incorrect >and meant for another unrelated package. sorry, it is a side effect of my laziness to call files with a meaningful name...It was a trivial patch, I'm happy it has been already addressedhttp://launchpadlibrari

Bug#936099: rust-num-traits: test failure on i386

2019-09-28 Thread Gianfranco Costamagna
control: tags -1 patch On Fri, 30 Aug 2019 08:57:01 +0200 Gianfranco Costamagna wrote: > Source: rust-num-traits > Version: 0.2.8-1 > Severity: serious > Forwarded: https://github.com/rust-num/num-traits/issues/124 > > Hello, looks like enabling the testsuite resulted in

Bug#794466: Virtualbox backport for Stretch?

2019-09-28 Thread Gianfranco Costamagna
Hello, none for now, but there might be a backport-alike debian new repository without restrictions, I might give it a shot soon Il giovedì 26 settembre 2019, 13:36:09 CEST, Michael Prokop ha scritto: Hi! * Gianfranco Costamagna [Fri Aug 23, 2019 at 08:33:09AM +]: > 

Bug#915646: FTBFS: haddock: internal error: internal: extractDecl

2019-09-27 Thread Gianfranco Costamagna
control: severity -1 important I'm downgrading because I pushed a package without the -doc build G. On Wed, 5 Dec 2018 17:10:19 +0200 Ilias Tsitsimpis wrote: > Source: haskell-esqueleto > Version: 2.5.3.git20180402-3 > Severity: serious > Justification: fails to build from source (but built

Bug#941218: guile-2.0: FTBFS on ppc64el

2019-09-26 Thread Gianfranco Costamagna
Hello, On Thu, 26 Sep 2019 17:45:03 +0200 Gianfranco Costamagna wrote: > Source: guile-2.0 > Version: 2.0.13+1-5.2 > Severity: serious > > > Hello, looks like guile-2.0 FTBFS on ppc64el, probably after readline > transition (Ubuntu has this problem since the re

Bug#941218: guile-2.0: FTBFS on ppc64el

2019-09-26 Thread Gianfranco Costamagna
Source: guile-2.0 Version: 2.0.13+1-5.2 Severity: serious Hello, looks like guile-2.0 FTBFS on ppc64el, probably after readline transition (Ubuntu has this problem since the rebuild against the new readline) I remember I tried to cherry-pick fixes from guile-2.2 but I didn't find anything

Bug#651313: desktopnova-module-gnome: desktopnova seems to be not compatible with Gnome 3

2019-09-23 Thread Gianfranco Costamagna
: +#651313) + * Add libdconf-dev dependency, needed to find libs + + -- Gianfranco Costamagna Mon, 23 Sep 2019 15:51:39 +0200 + desktopnova (0.8.1-1.1) unstable; urgency=low * Non-maintainer upload. diff -Nru desktopnova-0.8.1/debian/control desktopnova-0.8.1/debian/control --- desktopnova

Bug#651313: desktopnova-module-gnome: desktopnova seems to be not compatible with Gnome 3

2019-09-23 Thread Gianfranco Costamagna
nova-0.8.1/debian/changelog 2019-09-23 15:51:39.0 +0200 @@ -1,3 +1,11 @@ +desktopnova (0.8.1-1.2) unstable; urgency=medium + + * Non-maintainer upload. + * Add proposed patch to make it work with gnome-shell (LP: #780079, Closes: + #651313) + + -- Gianfranco Costamagna Mon, 23 Sep 201

Bug#940679: pandas: random test crashes

2019-09-21 Thread Gianfranco Costamagna
Hello Rebecca, >Running just the affected test files (in installed -6) produced no >failures in ~350 attempts.  The build of -7 succeeded on amd64; it >failed on ppc64, but as the log isn't available yet, I don't know if >it's this bug. I don't think so, when log is not available it might

Bug#940679: pandas: FTBFS on amd64 - TestDatetimelikeSubtype::test_astype_category[index3] crash

2019-09-19 Thread Gianfranco Costamagna
Hello, > 1) create an amd64 sid chroot > 2) install python3-pandas there > 3) install build-dependencies > 4) dpkg-buildpackage -A > 5) sign & upload > > after the package is installed, a source-only upload is required to let the > migration happen, since arch:all binNMUs are not a thing (yet).

Bug#940679: pandas: FTBFS on amd64 - TestDatetimelikeSubtype::test_astype_category[index3] crash

2019-09-19 Thread Gianfranco Costamagna
Hello, On Thu, 19 Sep 2019 11:41:22 +0200 Graham Inggs wrote: > Hi Rebecca > > On 2019/09/18 23:51, Rebecca N. Palmer wrote: > > Was your local build on a different architecture, or must this be > > something random / hardware-or-environment-dependent / a very recent > > change in a

Bug#940645: diffoscope: testsuite failure due to new binutils?

2019-09-18 Thread Gianfranco Costamagna
Source: diffoscope Version: 124 Severity: serious Hello, thanks for fixing the previous bug! it worked! However, due to another change, there is now a new failure: === FAILURES === ___

Bug#940471: diffoscope: test failures

2019-09-16 Thread Gianfranco Costamagna
tags 940471 - moreinfo > thanks > > Hi Gianfranco, > > > Hello, looks like the latest diffoscope in unstable has a test failure > > that is preventing it from entering testing: > > Hm, I can't reproduce this unfortunately. > > > FileNotFoundError: [Errno 2] No such file or directory:

Bug#940471: diffoscope: test failures

2019-09-16 Thread Gianfranco Costamagna
Source: diffoscope Version: 123 Severity: serious Hello, looks like the latest diffoscope in unstable has a test failure that is preventing it from entering testing: snip of the test failure: ERRORS

Bug#940224: lambda-term: FTBFS with new zed

2019-09-14 Thread Gianfranco Costamagna
Source: lambda-term Version: 1.10.1-2 Severity: serious Hello, looks like the new zed made the package FTBFS + /usr/bin/ocamlfind ocamlc -c -g -annot -bin-annot -ccopt -I/usr/lib/ocaml/lwt -package lwt -package lwt.react -package lwt.unix -package zed -w -40 -I src -I src/widget_impl -o

Bug#940130: pymca: testsuite failure (segfault)

2019-09-12 Thread Gianfranco Costamagna
Source: pymca Version: 5.5.1+dfsg-1 Severity: serious Hello, looks like the package autopkgtest is failing... testFastFitEdfMap (PyMcaBatchTest.testPyMcaBatch) ... Segmentation fault https://ci.debian.net/packages/p/pymca/testing/amd64 can you please have a look?

Bug#925711: hdup: ftbfs with GCC-9

2019-09-12 Thread Gianfranco Costamagna
control: tags -1 patch pending On Thu, 5 Sep 2019 16:00:29 +0200 Gianfranco Costamagna wrote: > Hello, please try again, looks like you need a quilt format if you want to > add a patch > > attached an updated diff > > G. in deferred/2 diff -u hdup-2.0.14/debian/changelog

Bug#940040: ubuntu-dev-tools: pbuilder-dist broken in unstable

2019-09-11 Thread Gianfranco Costamagna
Source: ubuntu-dev-tools Version: 0.173 Severity: serious Hello, looks like the last upload broke at least pbuilder-dist pbuilder-dist eoan login Traceback (most recent call last): File "/usr/bin/pbuilder-dist", line 506, in main() File "/usr/bin/pbuilder-dist", line 431, in main

Bug#939838: nftables: please apply upstream commits to fix firewalld testsuite failures

2019-09-11 Thread Gianfranco Costamagna
On Mon, 9 Sep 2019 14:25:31 +0200 Gianfranco Costamagna wrote: > Source: nftables > Version: 0.9.2-1 > Severity: serious > Justification: breaks another package from working correctly > > Hello, according to firewalld upstream devs, we need 2 commits to fixup their > te

Bug#939939: libterm-choose-perl: testsuite failures

2019-09-10 Thread Gianfranco Costamagna
Source: libterm-choose-perl Version: 1.700-1 Severity: serious Hello, since your last upload the testsuite is now failing. https://ci.debian.net/packages/libt/libterm-choose-perl/testing/amd64 https://ci.debian.net/data/autopkgtest/testing/amd64/libt/libterm-choose-perl/2922560/log.gz thanks

Bug#939932: varnish-modules: FTBFS after new varnish update

2019-09-10 Thread Gianfranco Costamagna
Source: varnish-modules Version: 0.15.0-1 Severity: serious Hello, can you please update the package to cope with new varnish APIs? the current package FTBFS in sid. Upstream PR 142 might help in the porting work https://github.com/varnish/varnish-modules/pull/142/files G.

Bug#939492: nbsphinx: testsuite failures with new pandoc

2019-09-09 Thread Gianfranco Costamagna
control: forwarded -1 https://github.com/spatialaudio/nbsphinx/issues/317

Bug#939847: haskell-stack: FTBFS in sid

2019-09-09 Thread Gianfranco Costamagna
Source: haskell-stack Version: 1.7.1-3 Severity: serious Hello, looks like the latest haskell-stack is FTBFS in sid [ 57 of 125] Compiling Stack.PackageIndex ( src/Stack/PackageIndex.hs, dist-ghc/build/Stack/PackageIndex.o ) src/Stack/PackageIndex.hs:405:21: error: ??? Exception when

Bug#939838: nftables: please apply upstream commits to fix firewalld testsuite failures

2019-09-09 Thread Gianfranco Costamagna
Source: nftables Version: 0.9.2-1 Severity: serious Justification: breaks another package from working correctly Hello, according to firewalld upstream devs, we need 2 commits to fixup their test failures. I also cherry-picked another hotfix, because it seemed important to me (note, I just

Bug#939821: capnproto: test failure due to new gcc-9

2019-09-09 Thread Gianfranco Costamagna
Hello, please also add cmake to test dependencies

Bug#939826: bustle: ftbfs with new cabal

2019-09-09 Thread Gianfranco Costamagna
Source: bustle Version: 0.7.5-1 Severity: serious Forwarded: https://gitlab.freedesktop.org/bustle/bustle/issues/13 Bustle FTBFS with new cabal, I updated to the latest release, but something is still missing G.

Bug#939821: capnproto: test failure due to new gcc-9

2019-09-09 Thread Gianfranco Costamagna
(Closes: #-1) + + -- Gianfranco Costamagna Mon, 09 Sep 2019 11:02:04 +0200 + capnproto (0.7.0-4) unstable; urgency=medium [ Tom Lee ] diff -Nru capnproto-0.7.0/debian/tests/build-tests capnproto-0.7.0/debian/tests/build-tests --- capnproto-0.7.0/debian/tests/build-tests2019-09-04 22

Bug#939630: schleuder: breaks testbed?

2019-09-07 Thread Gianfranco Costamagna
Source: schleuder Version: 3.4.0-3 Severity: serious Hello, looks like you are playing with /dev/random removing and symlinking it again. This might break the test environment, so I would say we should 1) declare the test as breaks-testbed [1] or 2) stop doing that. I tried to remove that if

Bug#939589: pymca: build failure on armhf

2019-09-06 Thread Gianfranco Costamagna
Source: pymca Version: 5.5.0+dfsg-1 Severity: serious Hello, looks like your last upload is FTBFS on armhf... https://buildd.debian.org/status/package.php?p=pymca=unstable Also, you might have a test failure on autopkgtestsuite: testFastFitEdfMap (PyMcaBatchTest.testPyMcaBatch) ... Segmentation

Bug#939580: liquidsoap: FTBFS with new ffmpeg ocaml library

2019-09-06 Thread Gianfranco Costamagna
Source: liquidsoap Version: 1.3.7-1 Severity: serious Hello, looks like the new ffmpeg library changes something and now testsuite fails... Can you please have a look? snip of build log: OCAMLOPT -c decoder/raw_audio_decoder.ml OCAMLOPT -c decoder/ffmpeg_decoder.ml File

Bug#925711: hdup: ftbfs with GCC-9

2019-09-05 Thread Gianfranco Costamagna
; urgency=low + + * Merge from Debian unstable. Remaining changes: +- src/Makefile.in: Reorder placement of libglib in linking step to fix + FTBFS. (LP: #770850) + + -- Gianfranco Costamagna Thu, 05 Sep 2019 15:12:21 +0200 + hdup (2.0.14-5) unstable; urgency=medium * New patch: gcc

Bug#935211: python-acme: Please port to Python 3 and/or drop Python 2 package

2019-09-05 Thread Gianfranco Costamagna
4/debian/changelog +++ hdup-2.0.14/debian/changelog @@ -1,3 +1,11 @@ +hdup (2.0.14-5ubuntu1) eoan; urgency=low + + * Merge from Debian unstable. Remaining changes: +- src/Makefile.in: Reorder placement of libglib in linking step to fix + FTBFS. (LP: #770850) + + -- Gianfranco Costamagna

Bug#939492: nbsphinx: testsuite failures with new pandoc

2019-09-05 Thread Gianfranco Costamagna
Source: nbsphinx Version: 0.4.2+ds-1 Severity: serious Hello, looks like the package is not able anymore to include svg into the pdf files... Look to the testsuite https://ci.debian.net/packages/n/nbsphinx/ This might be due to a regression/change in pandoc. cheers, Gianfranco

Bug#939402: sagemath: depends on cruft Python2 packages

2019-09-04 Thread Gianfranco Costamagna
Source: sagemath Severity: serious Version: 8.8-1 Hello, looks like sagemath depends on path.py and python-snowballstemmer, both of them removed in unstable and cruft packages. Can you please update your dependencies to avoid them, or switch to the Python3 version of the binding? thanks

Bug#939391: node-elliptic: test failure with new node-bn.js

2019-09-04 Thread Gianfranco Costamagna
Source: node-elliptic Version: 6.5.0~dfsg-1 Tags: patch Severity: serious Forwarded: https://github.com/indutny/elliptic/pull/193 Hello, looks like the testsuite now fails because "hello" is not an hex string... the following patch seems to fix it (I'm not sure if there is a better approach to

Bug#925820: sagemath: ftbfs with GCC-9

2019-09-04 Thread Gianfranco Costamagna
control: fixed -1 8.8-1 control: close -1 On Wed, 27 Mar 2019 19:47:55 + Matthias Klose wrote: > Package: src:sagemath > Version: 8.6-6 > Severity: normal > Tags: sid bullseye > User: debian-...@lists.debian.org > Usertags: ftbfs-gcc-9 > > Please keep this issue open in the bug tracker for

Bug#794466: Virtualbox backport for Stretch?

2019-09-04 Thread Gianfranco Costamagna
Hello Roger, >Backports team won't complain if the package is in testing. >And I think release team won't complain now since it's not in freezing stage. > >Lack of upstream support usually means we won't have it in stable. >But if user decide to use backports by their own choice, they should

Bug#939382: fswatch: bad symbols file on !amd64

2019-09-04 Thread Gianfranco Costamagna
Source: fswatch Version: 1.14.0+repack-9 Severity: serious Hello, looks like dpkg-gensymbols is sad everywhere according to Debian logs https://buildd.debian.org/status/package.php?p=fswatch=unstable I don't think exporting such c++ symbols is a good idea, specially because they change between

Bug#938982: xcffib: internet connection during build

2019-08-30 Thread Gianfranco Costamagna
Source: xcffib Version: 0.8.1-0.3 Severity: serious hello, looks like the package is attempting internet connection during build (you can see e.g. on Ubuntu builds) see build log: make xcffib make[2]: Entering directory '/<>' cabal --config-file=./cabal.config new-run exe:xcffibgen -- --input

Bug#938963: python-pygal: stop depending and shipping python2 packages

2019-08-30 Thread Gianfranco Costamagna
Source: python-pygal Version: 2.4.0-2 Severity: serious Hello, your package depends on python-cairosvg, removed in unstable and testing. Please update the dependencies to stop using it, (dropping python2 packages is a release goal, so better stop shipping it? looks like it has no rdeps

Bug#936099: rust-num-traits: test failure on i386

2019-08-30 Thread Gianfranco Costamagna
Source: rust-num-traits Version: 0.2.8-1 Severity: serious Forwarded: https://github.com/rust-num/num-traits/issues/124 Hello, looks like enabling the testsuite resulted in a failure on i386 architecture. Could you please have a look? thanks Gianfranco

Bug#936049: metview: missing libopenmpi-dev dependency?

2019-08-29 Thread Gianfranco Costamagna
Source: odb-api Version: 0.18.1-6 Severity: serious tags: patch Hello, looks like for some reasons eckit in Ubuntu fails to see the include directory for openmpi, because it simply doesn't exist adding libopenmpi-dev dependency to odb-api should fix the issue, bringing the directory back when

Bug#935941: golang-github-getlantern: missing dependency on golang-github-getlantern-hex-dev

2019-08-28 Thread Gianfranco Costamagna
5.f02dbb0/debian/changelog 2019-08-28 10:11:02.0 +0200 @@ -1,3 +1,9 @@ +golang-github-getlantern-hidden (0.0~git20190325.f02dbb0-2) unstable; urgency=medium + + * Add missing dependency on golang-github-getlantern-hex-dev (Closes: #-1) + + -- Gianfranco Costamagna Wed, 28 Aug 2019

Bug#935940: golang-gopkg-ldap.v3: internet connection to home during build?

2019-08-28 Thread Gianfranco Costamagna
Source: golang-gopkg-ldap.v3 Version: 3.0.3-2 Severity: serious Hello, looks like the package is trying to dial home, and this might be not allowed on some network configurations... I think such things should be covered by autopkgtests instead. TestDial: starting... --- FAIL: TestDial

Bug#935822: gr-dab: FTBFS with latest gnuradio

2019-08-26 Thread Gianfranco Costamagna
Source: gr-dab Version: 0.3-4 Severity: serious Hello, looks like the latest gnuradio uploads broke gr-dab build and testsuite. Basically the new version broke CMake script, as well as missing libgmp-dev library, and also the Python2 drop made the python code incompatible with the latest

Bug#934351: virtualbox-dkms: Fails to build modules

2019-08-21 Thread Gianfranco Costamagna
Hello,lets followup on bug https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=934483 thanks Il sabato 10 agosto 2019, 09:09:15 CEST, Hilmar Preuße ha scritto: Package: virtualbox-guest-dkms Version: 6.0.10-dfsg-4 Severity: grave Justification: renders package unusable Dear Maintainer,

Bug#934483: virtualbox-guest-dkms: Doesn't build with latest kernel in unstable 5.2.0-2-686-pae

2019-08-20 Thread Gianfranco Costamagna
control: reassign -1 src:linux control: affects -1 virtualbox-guest-dkms control: found -1 5.2.9-1 On Mon, 19 Aug 2019 19:02:52 +0200 Raphael Hertzog wrote: > On Sun, 11 Aug 2019, Christian Marillat wrote: > > But bevare fixind the include file path (drm/ttm/ttm_page_alloc.h) doesn't > > work

Bug#935168: umockdev: runs xorg and leaves spurious process after test run

2019-08-20 Thread Gianfranco Costamagna
Source: umockdev Version: 0.13-1 Severity: serious tags: patch Hello, after debugging why the build of umockdev on arm64 was taking days to upload (and then being killed), I added a ps aux before dh_builddeb buildd 17658 1.2 0.4 110676 33536 ?S11:12 0:00 /usr/lib/xorg/Xorg

Bug#935000: intel-media-driver-non-free: FTBFS in sid (gcc-9)

2019-08-17 Thread Gianfranco Costamagna
Source: intel-media-driver-non-free Version: 19.2.1+ds1-1 Severity: serious Hello, your package FTBFS with default gcc-9 because of cc1plus: error: ???-Werror=??? argument ???-Werror=implicit-function-declaration??? is not valid for C++ [-Werror] Please see the patch here:

Bug#934740: nftables: broken on BE

2019-08-14 Thread Gianfranco Costamagna
Source: nftables Version: 0.9.1-2 Severity: serious Tags patch Hello, after trying to understand why firewalld was completely broken on s390x, and discussing with nftables upstream, they found that a particular commit: 142350f154c7 broke Big Endian machines. this is the set of patches:

Bug#917238: ndpi 2.2-1: FTBFS, alignment problem

2019-08-14 Thread Gianfranco Costamagna
control: severity -1 important I asked to remove the package on armhf, to avoid this bug being RC. G. On Mon, 12 Aug 2019 16:27:47 +0200 Gianfranco Costamagna wrote: > control: forwarded -1 https://github.com/ntop/nDPI/issues/763 > > > updating forwarded tag. > > G. > >

Bug#891532: captagent FTBFS with shared libfl

2019-08-14 Thread Gianfranco Costamagna
control: tags -1 patch pending On Mon, 26 Feb 2018 15:22:58 +0200 Adrian Bunk wrote: > Source: captagent > Version: 6.1.0.20-3 > Severity: serious > Tags: buster sid > > https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/captagent.html > > ... > checking whether make sets

Bug#891532: captagent FTBFS with shared libfl

2019-08-14 Thread Gianfranco Costamagna
) unstable; urgency=medium + + * Non-maintainer upload + * debian/patches/shared-libfl.patch: +- find shared libfl (Closes: #891532) + + -- Gianfranco Costamagna Wed, 14 Aug 2019 09:59:44 +0200 + captagent (6.1.0.20-3) unstable; urgency=high * Update Build-Deps for default-libmysqlclient-dev

Bug#917238: ndpi 2.2-1: FTBFS, alignment problem

2019-08-12 Thread Gianfranco Costamagna
control: forwarded -1 https://github.com/ntop/nDPI/issues/763 updating forwarded tag. G.

Bug#915897: json-c reverse dependencies, bump severity to serious

2019-08-12 Thread Gianfranco Costamagna
control: tags -1 pending On Thu, 8 Aug 2019 13:37:36 +0200 Gianfranco Costamagna wrote: > control: severity -1 serious > > json-c is now in unstable, I plan to NMU in the next few days, if nobody > fixes them before > > G. > > done G. diff -Nru u1db-13.10/deb

Bug#915840: json-c reverse dependencies, bump severity to serious

2019-08-12 Thread Gianfranco Costamagna
) unstable; urgency=medium + + * Non-maintainer upload. + * debian/patches/db9c7f7e2a7bebd83de857029942ddb5497140ec.patch: +- cherry-pick upstream fix for new json-c is_error deprecation + (Closes: #915840) + + -- Gianfranco Costamagna Mon, 01 Jul 2019 10:24:02 +0200 + ptask (1.0.0-1

Bug#915851: psensor, NMU ongoing

2019-08-12 Thread Gianfranco Costamagna
(1.1.5-1.1) unstable; urgency=medium + + * Non-maintainer upload. + * Port to new json-c (Closes: #915851) + + -- Gianfranco Costamagna Mon, 12 Aug 2019 15:41:22 +0200 + psensor (1.1.5-1) unstable; urgency=medium * New upstream release diff -Nru psensor-1.1.5/debian/patches/0001-Update

Bug#904660: opensips: build failures fixes ongoing

2019-08-12 Thread Gianfranco Costamagna
@@ +opensips (2.2.2-3.1) unstable; urgency=medium + + [ Gianfranco Costamagna ] + * Non-maintainer upload + * d/p/mysql-fixes.patch: Adapt to new mariadb-10.3 reconnect functions +Closes: #918393 + + [ Unit193 ] + * d/p/json-c-0.13.patch: Grab two commits to fix FTBFS with json-c 0.13

Bug#934595: scons: the move to python3 broke all reverse-deps not python3 ready

2019-08-12 Thread Gianfranco Costamagna
Source: scons Version: 3.1.1-1 Severity: serious Tags: patch pending Hello, moving to Python3 without updating reverse dependencies has resulted in a failure... I'm uploading a revert of that patch and dependency, to fix "mypaint" build (one example I encountered). If you want to move to

Bug#931795: fixed in sbcl 2:1.5.5-1

2019-08-12 Thread Gianfranco Costamagna
control: reopen -1 control: notfixed -1 >* armhf-is-not-v5.patch: new patch, remove ARM-specific GCC flags. > In particular, this fixes the FTBFS with gcc-9. (Closes: #931795) sorry, I probably should have mentioned before (not sure how I could forget that...) but I think I tried to

Bug#934159: metview: FTBFS after new magics++

2019-08-07 Thread Gianfranco Costamagna
-4) unstable; urgency=medium + + * debian/rules: fixup includes directive for terralib + * Cherry-pick upstream build fix (Closes: #-1) + + -- Gianfranco Costamagna Wed, 07 Aug 2019 17:13:08 +0200 + metview (5.3.0-3) unstable; urgency=medium * Standards-Version: 4.4.0 diff -Nru metview

Bug#877496: explib310 FTBFS

2019-08-05 Thread Gianfranco Costamagna
control: tags -1 -patch -pending After updating the chroot, looks like the Ubuntu patch is not enough anymore. G.

Bug#877496: explib310 FTBFS

2019-08-05 Thread Gianfranco Costamagna
) +Closes: #877496 + + -- Gianfranco Costamagna Mon, 05 Aug 2019 18:06:14 +0200 + sexplib310 (113.33.03-3) unstable; urgency=medium * Team upload diff -Nru sexplib310-113.33.03/debian/patches/1c3df4807e71f39d064941d5fc527fe3c2e2bda7.patch sexplib310-113.33.03/debian/patches

Bug#884974: sdpa: hardcoded mumps runtime dependency

2019-08-02 Thread Gianfranco Costamagna
+1,10 @@ +sdpa (7.3.11+dfsg-1.1) unstable; urgency=medium + + * Non-maintainer upload. + * Drop runtime dependency on mups (Closes: #884974) + + -- Gianfranco Costamagna Fri, 02 Aug 2019 13:46:12 +0200 + sdpa (7.3.11+dfsg-1) unstable; urgency=low * New upstream diff -Nru sdpa-7.3.11+dfsg

Bug#931795: sbcl: FTBFS with gcc-9, uses deprecated armv5 target on armhf

2019-08-02 Thread Gianfranco Costamagna
On Thu, 11 Jul 2019 12:52:38 +0200 Gianfranco Costamagna wrote: > > > > > Bug reports should be sent to Launchpad: > > https://bugs.launchpad.net/sbcl/ > > > > thanks, I don't think I'll try to contact upstream, I don't find even an > email...

Bug#933317: yc-el: depends on old emacs packages

2019-08-02 Thread Gianfranco Costamagna
control: tags -1 pending On Mon, 29 Jul 2019 08:35:33 +0200 Gianfranco Costamagna wrote: > Source: yc-el > Severity: serious > Version 5.0.0-8 > tags: patch > > Hello, > emacsXX changed to emacs-gtk > emacsXX-nox changed to emacs-nox, > emacsXX-lucid changed to ema

Bug#933322: speechd-el: please update emacs dependency to versionless variant

2019-08-02 Thread Gianfranco Costamagna
control: tags -1 pending Hello, uploaded the following debdiff in deferred/10 Gianfranco On Tue, 30 Jul 2019 14:04:13 +0200 Gianfranco Costamagna wrote: > Hello, I think the patch should be updated to: > > diff -Nru speechd-el-2.8/debian/control speechd-el-2.8/debian/control > --

Bug#933319: psgml: depends on old emacs packages

2019-08-02 Thread Gianfranco Costamagna
to unversioned emacs package (Closes: #933319) - - -- Gianfranco Costamagna Fri, 02 Aug 2019 12:46:15 +0200 - psgml (1.4.0-7) unstable; urgency=medium * Added dependency on emacs25, dropped emacs23 and emacs-snapshot. diff -u psgml-1.4.0/debian/control psgml-1.4.0/debian/control --- psgml-1.4.0

Bug#933705: aiscm: depend on correct libomp5 library

2019-08-02 Thread Gianfranco Costamagna
Source: aiscm Version: 0.18.1-1 Severity: serious Justification: breaks on update tags: patch Hello, if you need llvm-7, you should also use libomp-7-dev, because using the unversioned one will result in FTBFS once llvm-defaults goes to 8. Please see the following patch diff -Nru

Bug#933667: sagemath: FTBFS in sid

2019-08-01 Thread Gianfranco Costamagna
Source: sagemath Version: 8.6-6 Severity: serious Hello, looks like sagemath is now FTBFS, see e.g. logs at http://debomatic-amd64.debian.net/distribution#unstable/sagemath/8.6-6build1/buildlog and https://launchpad.net/ubuntu/+source/sagemath/8.6-6build1/+build/17348800 not sure what regressed

Bug#852105: wnn7egg: please migrate to emacs25 soon

2019-07-30 Thread Gianfranco Costamagna
Hello, I think a better patch might be diff -u wnn7egg-1.02/debian/control wnn7egg-1.02/debian/control --- wnn7egg-1.02/debian/control +++ wnn7egg-1.02/debian/control @@ -7,7 +7,7 @@ Package: wnn7egg Architecture: all -Depends: emacs23 | emacs23-lucid | emacs23-nox | emacs-snapshot-gtk |

Bug#933322: speechd-el: please update emacs dependency to versionless variant

2019-07-30 Thread Gianfranco Costamagna
Hello, I think the patch should be updated to: diff -Nru speechd-el-2.8/debian/control speechd-el-2.8/debian/control --- speechd-el-2.8/debian/control 2016-11-10 19:24:33.0 + +++ speechd-el-2.8/debian/control 2019-07-29 07:03:58.0 + @@ -9,7 +9,7 @@ Package:

Bug#933319: psgml: depends on old emacs packages

2019-07-30 Thread Gianfranco Costamagna
I think the patch should be updated to --- psgml-1.4.0/debian/control +++ psgml-1.4.0/debian/control @@ -9,7 +9,7 @@ Package: psgml Architecture: all -Depends: ucf (>= 0.08), emacs25 | emacs24, sgml-base, sgml-data +Depends: ucf (>= 0.08), emacs | emacs-gtk | emacs-lucid | emacs-nox |

Bug#933348: mopidy-scrobbler: depends on removed package

2019-07-29 Thread Gianfranco Costamagna
Source: mopidy-scrobbler Version: 1.2.1-1 Severity: serious Hello, your package depends on python-pylast package, that has been removed from unstable. Please port to python3, or ask to reintroduce it. G.

Bug#876533: hol-light FTBFS with OCaml 4.05.0

2019-07-29 Thread Gianfranco Costamagna
Hello, > BTW, the listing above shows the inclusion of quilt's .pc directory in > /usr/share/hol-light, which is wrong. > > > If there are good reasons for installing it in /usr/share/hol-light (which > > seems to be inconsistent with the packaging policy, as I mentioned) please > > describe

Bug#933321: sepia: please update emacs dependency to versionless variant

2019-07-29 Thread Gianfranco Costamagna
Source: sepia Severity: serious Version 0.992-6 tags: patch Hello, emacsXX changed to emacs-gtk emacsXX-nox changed to emacs-nox, emacsXX-lucid changed to emacs-lucid please update dependencies to the unversioned version

Bug#933322: speechd-el: please update emacs dependency to versionless variant

2019-07-29 Thread Gianfranco Costamagna
Source: speechd-el Severity: serious Version 2.8-2 tags: patch Hello, emacsXX changed to emacs-gtk emacsXX-nox changed to emacs-nox, emacsXX-lucid changed to emacs-lucid please update dependencies to the unversioned version

Bug#922434: sass-elisp: Should depend on generic emacs

2019-07-29 Thread Gianfranco Costamagna
; urgency=medium + + * Non-maintainer upload. + * Switch to unversioned emacs version Closes: #922434 + + -- Gianfranco Costamagna Mon, 29 Jul 2019 09:01:01 +0200 + sass-elisp (3.0.15-4.2) unstable; urgency=medium * Non-maintainer upload. diff -Nru sass-elisp-3.0.15/debian/control sass

Bug#933319: psgml: depends on old emacs packages

2019-07-29 Thread Gianfranco Costamagna
Source: psgml Severity: serious Version 1.4.0-7 tags: patch Hello, emacsXX changed to emacs-gtk emacsXX-nox changed to emacs-nox, emacsXX-lucid changed to emacs-lucid please update dependencies to the unversioned version https://launchpad.net/ubuntu/+source/psgml/1.4.0-7ubuntu1 G.

Bug#933317: yc-el: depends on old emacs packages

2019-07-29 Thread Gianfranco Costamagna
Source: yc-el Severity: serious Version 5.0.0-8 tags: patch Hello, emacsXX changed to emacs-gtk emacsXX-nox changed to emacs-nox, emacsXX-lucid changed to emacs-lucid please update dependencies to the unversioned version

Bug#880285: proofgeneral: FTBFS: build-dependency not installable: emacs24

2019-07-25 Thread Gianfranco Costamagna
-07-25 10:15:05.0 +0200 @@ -1,3 +1,10 @@ +proofgeneral (4.4.1~pre170114-1.1) unstable; urgency=medium + + * Non-maintainer upload + * Switch to unversioned emacs-gtk package (Closes: #880285) + + -- Gianfranco Costamagna Thu, 25 Jul 2019 10:15:05 +0200 + proofgeneral (4.4.1~pre170114

Bug#892648: xcffib FTBFS: xcffibgen: Map.!: given key is not an element in the map

2019-07-24 Thread Gianfranco Costamagna
control: tags -1 patch pending On Sun, 11 Mar 2018 20:47:29 +0200 Adrian Bunk wrote: > Source: xcffib > Version: 0.5.1-1 > Severity: serious > > https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/xcffib.html > > ... > Linking dist/build/GeneratorTests.hs/GeneratorTests.hs ... >

Bug#872497: vdr-plugin-games FTBFS with vdr 2.3.8

2019-07-19 Thread Gianfranco Costamagna
36.0 +0200 +++ vdr-plugin-games-0.6.3/debian/changelog 2017-09-16 11:22:32.0 +0200 @@ -1,3 +1,11 @@ +vdr-plugin-games (0.6.3-46.1) unstable; urgency=medium + + * Non-maintainer upload + * #define DEPRECATED_GETBITMAP to make it build. +(plugin needs porting) Closes:

Bug#932172: dh-cargo: please refresh json timestamps

2019-07-16 Thread Gianfranco Costamagna
Package: dh-cargo Version: 18 Severity: serious Tags: patch https://patches.ubuntu.com/d/dh-cargo/dh-cargo_18ubuntu1.patch Because of a Debian dak bug, no files with timestamp around 1970 was rejected by it, so as soon as the dak patch is merged, every rust package will fail to upload. e.g. ls

Bug#902828: pgpdump: autopkgtest regression: sh: 0: Can't open debian/test

2019-07-13 Thread Gianfranco Costamagna
control: tags -1 pending Hello, since the package is collaboratively maintained, I went ahead and committed the changes on git, and uploaded in deferred/7. Feel free to delete or speed it up if possible, thanks Gianfranco

Bug#931936: rust-sniffglue: needs updates for new nix

2019-07-12 Thread Gianfranco Costamagna
Source: rust-sniffglue Version: 0.8.2-4 Severity: serious tags: patch https://launchpadlibrarian.net/432828997/rust-sniffglue_0.8.2-4_0.8.2-4ubuntu1.diff.gz Feel free to grab and apply :) G.

Bug#931937: rust-rustyline: needs updates for new nix

2019-07-12 Thread Gianfranco Costamagna
Source: rust-rustyline Version: 3.0.0-2 Severity: serious tags: patch http://launchpadlibrarian.net/432819385/rust-rustyline_3.0.0-2build1_3.0.0-2ubuntu1.diff.gz Feel free to grab and apply :) G.

Bug#931795: sbcl: FTBFS with gcc-9, uses deprecated armv5 target on armhf

2019-07-11 Thread Gianfranco Costamagna
work because of too restricted assembly language) Description: Default on armv7 for Ubuntu, since gcc-9 deprecates armv5 Author: Gianfranco Costamagna Last-Update: 2019-07-10 --- sbcl-1.5.4.orig/src/runtime/Config.arm-linux +++ sbcl-1.5.4/src/runtime/Config.arm-linux @@ -9,7 +9,7 @@

  1   2   3   4   5   6   7   8   >